| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ICounterSvc::Printout Class Reference

`#include <ICounterSvc.h>`

Collaboration diagram for ICounterSvc::Printout:

[legend]
List of all members.

## Detailed Description

Print counters for each element in the range [first, last) e.g.

for_each(start, end, PrintCube) ;

Author:
  Markus Frank

Version:
  1.0

Definition at line 109 of file ICounterSvc.h.

## Public Member Functions
| Printout (ICounterSvc *svc)
| Standard initializing constructor.
| ~Printout ()
| destructor
StatusCode | operator() (MsgStream &log, const Counter *cnt) const
| Callback for printout with Counter pointers.
## Private Member Functions
| Printout ()
| no defauld constructor
| Printout (const Printout &)
Printout & | operator= (const Printout &)
| no assigment is allowed
## Private Attributes
ICounterSvc * | m_svc
| Reference to counter service.

## Constructor & Destructor Documentation

ICounterSvc::Printout::Printout | ( | ICounterSvc * | svc | ) |

Standard initializing constructor.

Definition at line 48 of file ICounterSvc.cpp.

References IInterface::addRef(), and m_svc.

    00049   : m_svc(svc)
    00050 { if ( 0 != m_svc ) { m_svc->addRef() ; }   }

ICounterSvc::Printout::~Printout | ( |  | ) |

destructor

Definition at line 54 of file ICounterSvc.cpp.

References m_svc, and IInterface::release().

    00055 { if ( 0 != m_svc ) { m_svc->release() ; m_svc = 0 ; } }

ICounterSvc::Printout::Printout | ( |  | ) | `[private]`

no defauld constructor

ICounterSvc::Printout::Printout | ( | const Printout & |  | ) | `[private]`

## Member Function Documentation

StatusCode ICounterSvc::Printout::operator() | ( | MsgStream & | log,
|  | const Counter * | cnt |
| ) |  |  | const

Callback for printout with Counter pointers.

Definition at line 43 of file ICounterSvc.cpp.

References StatusCode::FAILURE.

    00044 { return m_svc ? m_svc->defaultPrintout(log, cnt) : StatusCode::FAILURE ; }

Printout& ICounterSvc::Printout::operator= | ( | const Printout & |  | ) | `[private]`

no assigment is allowed

## Member Data Documentation

ICounterSvc* ICounterSvc::Printout::m_svc`[private]`

Reference to counter service.

Definition at line 127 of file ICounterSvc.h.

Referenced by Printout(), and ~Printout().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/ICounterSvc.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/ICounterSvc.cpp